# Create a subscription Creates a new subscription. Endpoint: POST /subscriptions Version: 2025-11-12 Security: bearerAuth ## Query parameters: - `fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, subscription_number, state, account_id, invoice_owner_account_id, auto_renew, version, initial_term, current_term, renewal_term, start_date, end_date, description, contract_effective, service_activation, customer_acceptance, invoice_separately, latest_version, payment_terms, billing_document_settings, bill_to_id, sold_to_id, contracted_mrr, currency, cancel_reason, last_booking_date, order_number Example: ["id,created_time"] - `subscription_plans.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, name, plan_id, subscription_id, product_id, subscription_plan_number Example: ["id,created_time"] - `subscription_items.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, start_date, end_date, charge_model, charge_type, tiers, subscription_item_number, name, description, charged_through_date, recurring, price_id, start_event, tax_code, tax_inclusive, unit_of_measure, quantity, price_base_interval, overage, subscription_plan_id, tiers_mode, processed_through_date, active, state, unit_amount, amount, discount_amount, discount_percent, price_change_percentage, price_change_option Example: ["id,created_time"] - `account.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, auto_pay, account_number, bill_to_id, sold_to_id, billing_document_settings, communication_profile_id, crm_id, sales_rep, parent_account_id, payment_gateway, payment_terms, remaining_credit_memo_balance, remaining_debit_memo_balance, remaining_invoice_balance, remaining_payment_balance, sequence_set_id, tax_certificate, batch, tax_identifier, bill_cycle_day, description, name, currency, default_payment_method_id, enabled Example: ["id,created_time"] - `invoice_owner_account.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, auto_pay, account_number, bill_to_id, sold_to_id, billing_document_settings, communication_profile_id, crm_id, sales_rep, parent_account_id, payment_gateway, payment_terms, remaining_credit_memo_balance, remaining_debit_memo_balance, remaining_invoice_balance, remaining_payment_balance, sequence_set_id, tax_certificate, batch, tax_identifier, bill_cycle_day, description, name, currency, default_payment_method_id, enabled Example: ["id,created_time"] - `plan.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, start_date, end_date, name, active, description, plan_number, product_id, active_currencies Example: ["id,created_time"] - `product.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, start_date, end_date, active, name, type, sku, description Example: ["id,created_time"] - `price.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, tiers, charge_model, charge_type, name, description, revenue_recognition_rule, stacked_discount, recognized_revenue_accounting_code, deferred_revenue_accounting_code, accounting_code, recurring, start_event, tax_code, tax_inclusive, taxable, unit_of_measure, quantity, min_quantity, max_quantity, price_base_interval, discount_level, overage, plan_id, tiers_mode, apply_discount_to, prepayment, drawdown, discount_amounts, unit_amounts, discount_percent, amounts, price_change_percentage, price_change_option, price_increase_option Example: ["id,created_time"] - `bill_to.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, account_id, address, home_phone, first_name, last_name, email, work_email, nickname, other_phone, work_phone, mobile_phone, tax_region, other_phone_type, fax Example: ["id,created_time"] - `prepaid_balance.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values prepaid_UOM, start_date, end_date, total_balance, remaining_balance Example: ["id,created_time"] - `prepaid_balances.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values validity_periods Example: ["id,created_time"] - `validity_period.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values prepaid_UOM, start_date, end_date, total_balance, remaining_balance, overage_rated_amount, overage_rated_quantity Example: ["id,created_time"] - `transactions.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values transaction_date, type, quantity Example: ["id,created_time"] - `expand[]` (array) Allows you to expand responses by including related object information in a single call. See the Expand responses section of the Quickstart API Tutorials for detailed instructions. - `filter[]` (array) A case-sensitive filter on the list. See the Filter lists section of the Quickstart API Tutorial for detailed instructions. Note that the filters on this operation are only applicable to the related objects. For example, when you are calling the "Retrieve a billing document" operation, you can use the filter[] parameter on the related objects such as filter[]=items[account_id].EQ:8ad09e208858b5cf0188595208151c63 - `page_size` (integer) The maximum number of results to return in a single page. If the specified page_size is less than 1 or greater than 99, Zuora will return a 400 error. - `subscription.fields[]` (array) Allows you to specify which fields are returned in the response. Accepted values custom_fields, created_by_id, updated_by_id, created_time, id, updated_time, subscription_number, state, account_id, invoice_owner_account_id, auto_renew, version, initial_term, current_term, renewal_term, start_date, end_date, description, contract_effective, service_activation, customer_acceptance, invoice_separately, latest_version, payment_terms, billing_document_settings, bill_to_id, sold_to_id, contracted_mrr, currency, cancel_reason, last_booking_date, order_number Example: ["id,created_time"] ## Header parameters: - `zuora-track-id` (string) A custom identifier for tracking API requests. If you set a value for this header, Zuora returns the same value in the response header. This header enables you to track your API calls to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), or quote ('). - `async` (boolean) Making asynchronous requests allows you to scale your applications more efficiently by leveraging Zuora's infrastructure to enqueue and execute requests for you without blocking. These requests also use built-in retry semantics, which makes them much less likely to fail for non-deterministic reasons, even in extreme high-throughput scenarios. Meanwhile, when you send a request to one of these endpoints, you can expect to receive a response in less than 150 milliseconds and these calls are unlikely to trigger rate limit errors. If set to true, Zuora returns a 202 Accepted response, and the response body contains only a request ID. - `zuora-entity-ids` (string) An entity ID. If you have Multi-entity enabled and the authorization token is valid for more than one entity, you must use this header to specify which entity to perform the operation on. If the authorization token is only valid for a single entity or you do not have Multi-entity enabled, you do not need to set this header. - `idempotency-key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. This idempotency key should be a unique value, and the Zuora server identifies subsequent retries of the same request using this value. For more information, see Idempotent Requests. - `accept-encoding` (string) Include a accept-encoding: gzip header to compress responses, which can reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes. For more information about this header, see Request and Response Compression. - `content-encoding` (string) Include a content-encoding: gzip header to compress a request. Upload a gzipped file for the payload if you specify this header. For more information, see Request and Response Compression. ## Request fields (application/json): - `invoice_owner_account_id` (string) Identifier of the account that owns the invoice associated with this subscription. If you specify this field, do not specify invoice_owner_account_data. - `invoice_owner_account_number` (string) Identifier of the account that owns the invoice associated with this subscription. If you specify this field, do not specify invoice_owner_account_data. - `invoice_owner_account_data` (object) The information of the new account that owns the invoice associated with this subscription. If you specify this field, do not specify invoice_owner_account_id. - `invoice_owner_account_data.custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `invoice_owner_account_data.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `invoice_owner_account_data.billing_document_settings` (object) Billing document settings for an account - `invoice_owner_account_data.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `invoice_owner_account_data.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `invoice_owner_account_data.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `invoice_owner_account_data.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `invoice_owner_account_data.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `invoice_owner_account_data.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `invoice_owner_account_data.batch` (string) The identifier of a bill run batch. - `invoice_owner_account_data.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `invoice_owner_account_data.bill_to` (object, required) Customer billing address. - `invoice_owner_account_data.bill_to.address` (object) Container for the address informtion. - `invoice_owner_account_data.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `invoice_owner_account_data.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `invoice_owner_account_data.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `invoice_owner_account_data.bill_to.address.state` (string) State or providence Example: "GA" - `invoice_owner_account_data.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `invoice_owner_account_data.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `invoice_owner_account_data.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `invoice_owner_account_data.bill_to.first_name` (string, required) Customer first name. Example: "Amy" - `invoice_owner_account_data.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `invoice_owner_account_data.bill_to.last_name` (string, required) Customer last name. Example: "Lawrence" - `invoice_owner_account_data.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `invoice_owner_account_data.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `invoice_owner_account_data.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `invoice_owner_account_data.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `invoice_owner_account_data.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `invoice_owner_account_data.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `invoice_owner_account_data.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `invoice_owner_account_data.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `invoice_owner_account_data.bill_to.fax` (string) The contact's fax number. - `invoice_owner_account_data.sold_to` (object) Customer address used for calculating tax. - `invoice_owner_account_data.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `invoice_owner_account_data.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `invoice_owner_account_data.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `invoice_owner_account_data.name` (string, required) The name of the customer account. Example: "test account" - `invoice_owner_account_data.description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `invoice_owner_account_data.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `invoice_owner_account_data.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `invoice_owner_account_data.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `invoice_owner_account_data.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `invoice_owner_account_data.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `invoice_owner_account_data.tax_certificate` (object) The tax certificate information. - `invoice_owner_account_data.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `invoice_owner_account_data.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `invoice_owner_account_data.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `invoice_owner_account_data.tax_certificate.description` (string) Description of the tax exemption certificate. - `invoice_owner_account_data.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `invoice_owner_account_data.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `invoice_owner_account_data.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `invoice_owner_account_data.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `invoice_owner_account_data.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `invoice_owner_account_data.tax_identifier` (object) An object that contains the VAT Identification number. - `invoice_owner_account_data.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `invoice_owner_account_data.currency` (string, required) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `invoice_owner_account_data.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `invoice_owner_account_data.payment_method` (object) A new payment method for the account. Note that the Quickstart API does not support the creating payment methods through the Universal Payment Connector (UPC). - `invoice_owner_account_data.payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `invoice_owner_account_data.payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `invoice_owner_account_data.payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `invoice_owner_account_data.payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `invoice_owner_account_data.payment_method.billing_details.name` (string) Customer full name or business name. This field is optional and available only when the payment method type is autogiro_debit, bacs_debit, au_becs_debit,nz_becs_debit, betalings_debit, pad_debit, or sepa_debit. Example: "Amy Lawrence" - `invoice_owner_account_data.payment_method.billing_details.address` (object) Address information used in billing details. - `invoice_owner_account_data.payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `invoice_owner_account_data.payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `invoice_owner_account_data.payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `invoice_owner_account_data.payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `invoice_owner_account_data.payment_method.device_session_id` (string) Identifier of the device browser session. Example: "2cadffe03" - `invoice_owner_account_data.payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `invoice_owner_account_data.payment_method.bank_identification_number` (string) The first six or eight digits of the payment method's number, such as the credit card number or account number. Banks use this number to identify a payment method. Example: "123456" - `invoice_owner_account_data.payment_method.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora's [Payment Pages 2.0](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/LA_Hosted_Payment_Pages/B_Payment_Pages_2.0) instead of interacting with this API directly. - `invoice_owner_account_data.payment_method.card.card_number` (string, required) The card number, as a string without any separators. Example: "4001100010112042" - `invoice_owner_account_data.payment_method.card.brand` (string, required) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `invoice_owner_account_data.payment_method.card.expiry_month` (number, required) One or two digit expiration month (1-12) of the credit card. Example: 10 - `invoice_owner_account_data.payment_method.card.expiry_year` (number, required) Two- or four-digit number representing the card's expiration year. Example: 2024 - `invoice_owner_account_data.payment_method.card.security_code` (string) Card security code. It is highly recommended to always include this value. Example: "111" - `invoice_owner_account_data.payment_method.card.mandate` (object) A mandate is a record of the permission a customer has given you to debit their payment method. This hash contains details about the mandate. - `invoice_owner_account_data.payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `invoice_owner_account_data.payment_method.card.mandate.reason` (string) Reason for the mandate. - `invoice_owner_account_data.payment_method.card.mandate.verify` (boolean) Specifies if Zuora should verify this mandate. - `invoice_owner_account_data.payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `invoice_owner_account_data.payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `invoice_owner_account_data.payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `invoice_owner_account_data.payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `invoice_owner_account_data.payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `invoice_owner_account_data.payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `invoice_owner_account_data.payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `invoice_owner_account_data.payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `invoice_owner_account_data.payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `invoice_owner_account_data.payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `invoice_owner_account_data.payment_method.sepa_debit.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `invoice_owner_account_data.payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `invoice_owner_account_data.payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `invoice_owner_account_data.payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `invoice_owner_account_data.payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `invoice_owner_account_data.payment_method.cc_ref.card` (object) - `invoice_owner_account_data.payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `invoice_owner_account_data.payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `invoice_owner_account_data.payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `invoice_owner_account_data.payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `invoice_owner_account_data.payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `invoice_owner_account_data.payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `invoice_owner_account_data.payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `invoice_owner_account_data.payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `invoice_owner_account_data.payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `invoice_owner_account_data.payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `invoice_owner_account_data.payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `invoice_owner_account_data.payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `invoice_owner_account_data.payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `invoice_owner_account_data.payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `invoice_owner_account_data.payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `invoice_owner_account_data.payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `invoice_owner_account_data.payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `invoice_owner_account_data.payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `invoice_owner_account_data.payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `invoice_owner_account_data.payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `invoice_owner_account_data.payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `invoice_owner_account_data.organization_label` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `account_id` (string) Identifier of the account that owns the subscription. Subscription owner account can be different from the invoice owner account. If you specify this field, do not specify account_data. - `account_number` (string) Identifier of the account that owns the subscription. Subscription owner account can be different from the invoice owner account. If you specify this field, do not specify account_data. - `account_data` (object) The information of the new account that owns the subscription. The subscription owner account can be different from the invoice owner account. If you specify this field, do not specify account_id. - `auto_renew` (boolean) If true, the subscription automatically renews at the end of the current term. - `subscription_number` (string) Human-readable identifier of the subscription; maybe user-supplied. - `initial_term` (object) Initial term information for the subscription. - `initial_term.interval_count` (integer) The number of intervals in a term. For example, interval=year and interval_count=1 represents a 1 year term. - `initial_term.interval` (string) Unit in which term duration is defined. One of day, week, month or year. Enum: "day", "week", "month", "year" - `initial_term.start_date` (string) Date when the subscription term starts. Example: "2020-01-01" - `initial_term.type` (string) Type of the subscription. Can be either termed or evergreen. Enum: "evergreen", "termed" - `initial_term.end_date` (string) Date when the subscription term ends. Example: "2023-01-01" - `renewal_term` (object) Renewal term information for the subscription - `start_on` (object) Container for the contract effective, service activation, and customer acceptance dates of the order action or subscription. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_activation subscription are created. If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_acceptance subscription are created. At the same time, if the service activation date field is also required and not set, a pending order and/or a pending_activation subscription are created instead. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms - `start_on.contract_effective` (string, required) Effective contract date for this subscription, in the yyyy-mm-dd format. Example: "2023-06-01" - `start_on.service_activation` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, as the yyyy-mm-dd format. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_activation subscription are created. If [Zuora is configured to require service activation](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Service_Activation_of_Orders.3F) and the service_activation field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms Example: "2023-06-01" - `start_on.customer_acceptance` (string) The date on which the services or products within a subscription have been accepted by the customer, in the yyyy-mm-dd format. If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for a subscription_plans order action or the "Create a subscription" operation, a pending order and/or a pending_acceptance subscription are created. At the same time, if the service activation date field is also required and not set, a pending order and/or a pending_activation subscription are created instead. If [Zuora is configured to require customer acceptance](https://knowledgecenter.zuora.com/CB_Billing/Billing_Settings/Define_Default_Subscription_Settings#Require_Customer_Acceptance_of_Orders.3F) and the customer_acceptance field is not set for any of the following order actions or the "Update a subscription" operation, a pending order is created. The subscription status is not impacted. Note: This feature is in Limited Availability. If you want to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com/). add_subscription_plans update_subscription_plans remove_subscription_plans renew terms Example: "2023-06-01" - `description` (string) Description of the subscription. Often useful for displaying to users. - `invoice_separately` (boolean) Separates a single subscription from other subscriptions and creates an invoice for this subscription. If the value is true, the subscription is billed separately from other subscriptions. If the value is false, the subscription is included with other subscriptions in the account invoice. - `processing_options` (object) Processing options for the invoice or payment. - `processing_options.document_date` (string) The date printed on billing documents. - `processing_options.target_date` (string) The target date for the order to be picked up by bill run for billing. - `processing_options.collection_method` (string) Specifies whether to just create an invoice, or to create an invoice and collect payment. Enum: "collect_payment", "create_invoice", "process_refund", "run_billing" - `processing_options.payment_method_id` (string) Payment method Id used to pay billing documents. - `processing_options.draft_invoice` (boolean) - `processing_options.payment_gateway_id` (string) - `processing_options.refund_reason_code` (string) - `subscription_plans` (array) The plans associated with the new subscription. - `subscription_plans.plan_id` (string) Identifier of the plan associated with this subscription plan. Note: You can add up to 30 plan_id in a single call. - `subscription_plans.plan_number` (string) Human-readable identifier of the plan associated with this subscription plan. - `subscription_plans.prices` (array) Price information within the subscription plan. - `subscription_plans.prices.price_id` (string, required) Identifier of the price. - `subscription_plans.prices.subscription_item_number` (string) Human-readable identifier of the subscription item. It can be user-supplied. - `subscription_plans.prices.description` (string) Description of the price. Often useful for displaying to users. - `subscription_plans.prices.recurring` (object) The recurring components of a price such as interval and usage. - `subscription_plans.prices.recurring.recurring_on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `subscription_plans.prices.recurring.usage` (boolean) Indicates that this is a usage price. - `subscription_plans.prices.recurring.interval` (string) Specifies the billing frequency. One of week, month or year. Enum: "month", "year", "week", "term", "day" - `subscription_plans.prices.recurring.interval_count` (integer) The number of intervals (specified in the interval attribute) between subscription billings. For example, interval=month and intervalCount=3 bills every 3 months. - `subscription_plans.prices.recurring.alignment_behavior` (string) Specifies how to align billing for recurring (subscription) products that start on different days. Enum: "subscription_start", "term_start", "term_end", "none" - `subscription_plans.prices.recurring.timing` (string) You can choose to bill in_advance or in_arrears for recurring prices. The field is not used with one-time or usage-based prices. Enum: "in_advance", "in_arrears" - `subscription_plans.prices.recurring.duration_interval` (string) Specifies the duration frequency. One of day, week, month or year. Enum: "day", "week", "month", "year", "subscription_term", "billing_period" - `subscription_plans.prices.recurring.duration_interval_count` (integer) Specifies how long a customer shall be charged if this is less than the duration of the subscription - `subscription_plans.prices.recurring.rating_group` (string) A rating group based on which usage records are rated. Only applicable to usage prices. Enum: "billing_period", "usage_start_date", "usage_record", "usage_upload", "custom_group" - `subscription_plans.prices.recurring.on` (string) Specifies on which day or the month or day of the week a customer shall be billed. Enum: "_1", "_2", "_3", "_4", "_5", "_6", "_7", "_8", "_9", "_10", "_11", "_12", "_13", "_14", "_15", "_16", "_17", "_18", "_19", "_20", "_21", "_22", "_23", "_24", "_25", "_26", "_27", "_28", "_29", "_30", "_31", "subscription_item_start_day", "account_cycle_date", "subscription_start_day", "term_start_day", "term_end_day", "monday", "tuesday", "wednesday", "thursday", "friday", "saturday", "sunday" - `subscription_plans.prices.start_event` (string) Specifies when to start billing your customer. Enum: "contract_effective", "service_activation", "customer_acceptance", "specific_date" - `subscription_plans.prices.start_date` (string) The date when the subscription item starts - `subscription_plans.prices.end_date` (string) The date when the subscription item ends or ended. - `subscription_plans.prices.tiers_mode` (string) Specifies the mode of tiering. Enum: "graduated", "volume", "high_watermark_volume", "high_watermark_graduated", "graduated_with_overage" - `subscription_plans.prices.tiers` (array) Information of all tiers if the price is a tiered price. - `subscription_plans.prices.tiers.up_to` (number) Specifies the upper bound of the tier. The lower bound of a tier is the upper bound of the previous tier plus one. - `subscription_plans.prices.tiers.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price. - `subscription_plans.prices.tiers.unit_amount` (number) The unit amount of the price. Specify this field if you want to override the original price with a per-unit price. - `subscription_plans.prices.quantity` (number) Quantity of the product to which your customers subscribe. - `subscription_plans.prices.amount` (number) The amount of the price. Specify this field if you want to override the original price with a flat-fee price - `subscription_plans.prices.discount_amount` (number) Discount amount. Specify this field if you offer an amount-based discount. - `subscription_plans.prices.discount_percent` (number) Discount percent. Specify this field if you offer a percentage-based discount. - `subscription_plans.prices.price_base_interval` (string) Specifies the base interval of the price the subscriber is subscribed to. If not provided, this field defaults to billing_period. Enum: "month", "billing_period", "week" - `subscription_plans.prices.overage` (object) An object defining how overage charges are calculated. - `subscription_plans.prices.overage.interval_count` (integer) Specifies the number of intervals used to calculate smoothed overage charges. - `subscription_plans.prices.overage.type` (string) Represents the overage type: one of rolling_window or rollover. Enum: "rolling_window", "rollover" - `subscription_plans.prices.overage.included_units` (number) Specifies the included units to which overage charges do not apply. - `subscription_plans.prices.overage.credit_unused_units` (boolean) Specifies whether or not to credit unused units. - `subscription_plans.prices.overage.apply_at_end_of_smoothing_period` (boolean) Indicates if the overage price is calculated at the end of the smoothing period. - `subscription_plans.prices.unique_token` (string) Unique identifier for the price. This identifier enables you to refer to the price before the price has an internal identifier in Zuora. - `subscription_plans.prices.apply_discount_to` (array) Any combination of one-time, recurring, and usage. Enum: "one_time", "recurring", "usage" - `subscription_plans.prices.discount_level` (string) Specifies at what level a discount should be applied: one of account, subscription or plan. Enum: "account", "subscription", "plan" - `subscription_plans.prices.custom_field_per_unit_rate` (string) Name of the custom field that will be used to set a per unit rate under the Pre-Rated Per Unit charge model - `subscription_plans.prices.custom_field_total_amount` (string) Name of the custom field that will be used to set a total amount under the Pre-Rated charge model - `subscription_plans.prices.price_change_percentage` (number) The percentage to increase or decrease the price of a termed subscription's renewal. - `subscription_plans.prices.price_change_option` (string) Applies an automatic price change when a termed subscription is renewed. Enum: "latest_catalog_pricing", "percentage", "none" - `subscription_plans.prices.prepayment` (object) The prepayment information. - `subscription_plans.prices.prepayment.quantity` (number) The number of units included in a prepayment charge. - `subscription_plans.prices.prepayment.validity_period` (string) The period in which the prepayment units are valid to use as defined in a prepayment charge. Enum: "subscription_term", "annual", "semi_annual", "quarter", "month" - `subscription_plans.prices.drawdown` (object) The drawdown information. - `subscription_plans.prices.drawdown.conversion_rate` (number) The conversion rate between usage unit of measure (UOM) and drawdown unit of measure for a drawdown charge. Note: Must be a positive number (>0). Must be 1 when usage UOM and drawdown UOM are the same. If both conversion_rate and unit_of_measure for the drawdown are empty, the system will set default values respectively: conversion_rate: 1 unit_of_measure: Same as the usage UOM of this drawdown charge. The conversion_rate and unit_of_measure fields need to have values or be empty at the same time. - `subscription_plans.unique_token` (string) Unique identifier for the subscription plan. This identifier enables you to refer to the subscription plan before the subscription plan has an internal identifier in Zuora. - `bill_to_id` (string,null) ID of the bill-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `payment_terms` (string,null) The name of payment term associated with the invoice. - `billing_document_settings` (object) The billing document settings for the customer. - `billing_document_settings.template_id` (string,null) Identifier of the invoice template associated with this customer. Not applicable for debit memos or credit memos. Example: "2c92c08b6a8c978f016a9e0084622b62" - `billing_document_settings.sequence_set_id` (string,null) ID of the billing document sequence set. - `sold_to_id` (string,null) ID of the sold-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled. - `change_reason` (string) A brief description of the reason for this change. ## Response 201 fields (application/json): - `id` (string) Unique identifier for the object. - `updated_by_id` (string) Unique identifier of the Zuora user who last updated the object - `updated_time` (string) The date and time when the object was last updated in ISO 8601 UTC format. - `created_by_id` (string) Unique identifier of the Zuora user who created the object - `created_time` (string) The date and time when the object was created in ISO 8601 UTC format. - `custom_fields` (object) Set of user-defined fields associated with this object. Useful for storing additional information about the object in a structured format. - `custom_objects` (object) The custom objects associated with a Zuora standard object. - `subscription_number` (string) Human-readable identifier of the subscription. It can be user-supplied. - `state` (string) Status of the subscription. Enum: "draft", "pending_activation", "pending_acceptance", "active", "expired", "canceled", "paused" - `version` (integer) The version of the subscription. This version can be used in the filter[] query parameter to filter subscriptions. - `account_id` (string) Identifier of the account associated with this subscription. - `account` (object) Information of the new account associated with the subscription. - `account.account_number` (string) Human-readable identifier of the account. It can be user-supplied. Example: "A-100001" - `account.billing_document_settings` (object) Billing document settings for an account - `account.billing_document_settings.credit_memo_template_id` (string) Identifier of the credit memo template associated with this customer. Example: "2c92c08b6a8c978f016a9e0084622b62" - `account.billing_document_settings.debit_memo_template_id` (string) Identifier of the debit memo template associated with this customer. Example: "2c92c08c6a8c7e08016a9ec8d72f3ab5" - `account.billing_document_settings.email_documents` (boolean) Whether the customer wants to receive email invoices. Example: "alawrence@zuora.com" - `account.billing_document_settings.print_documents` (boolean) Whether the customer wants to receive printed invoices. - `account.billing_document_settings.invoice_template_id` (string) Identifier of the invoice template associated with this customer. Example: "8f64d4d754739d85d0346e00ef77e50d" - `account.billing_document_settings.additional_email` (array) A list of additional email addresses to receive email notifications. Example: "jdoe@zuora.com" - `account.batch` (string) The identifier of a bill run batch. - `account.bill_cycle_day` (integer) The day of the month on which your customer will be invoiced. For month-end specify 31. - `account.bill_to` (object) Customer billing address. - `account.bill_to.address` (object) Container for the address informtion. - `account.bill_to.address.line1` (string) Address line 1 (e.g., street, PO Box, or company name). Example: "3333 Piedmont Rd NE" - `account.bill_to.address.line2` (string) Address line 2 (e.g., apartment, suite, unit, or building). Example: "Suite 1150" - `account.bill_to.address.city` (string) City, district, suburb, town, or village. Example: "Atlanta" - `account.bill_to.address.state` (string) State or providence Example: "GA" - `account.bill_to.address.country` (string) The country of the contact's address. Example: "United States" - `account.bill_to.address.county` (string) Zuora Tax uses this information to calculate county taxation. - `account.bill_to.address.postal_code` (string) ZIP or postal code. Example: "30305" - `account.bill_to.first_name` (string) Customer first name. Example: "Amy" - `account.bill_to.home_phone` (string) Customer home phone (including extension). Example: "(888)976-9056" - `account.bill_to.last_name` (string) Customer last name. Example: "Lawrence" - `account.bill_to.mobile_phone` (string) Customer phone (including extension). Example: "(888)101-0011" - `account.bill_to.nickname` (string) Nickname for this contact. Example: "Ami" - `account.bill_to.other_phone` (string) Other customer phone (including extension). Example: "(888)100-0001" - `account.bill_to.email` (string) Customer email address. Example: "alawrence@gmail.com" - `account.bill_to.tax_region` (string) A region defined in your Zuora Tax rules. Example: "Georgia" - `account.bill_to.work_email` (string) Customer work email. Example: "alawrence@zuora.com" - `account.bill_to.work_phone` (string) Customer work phone. Example: "(888)976-9056" - `account.bill_to.other_phone_type` (string) The type of the additional phone number. Enum: "work", "mobile", "home", "other" - `account.bill_to.fax` (string) The contact's fax number. - `account.bill_to.account_id` (string) Identifier of a customer account with which this contact is associated. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.sold_to` (object) Customer address used for calculating tax. - `account.communication_profile_id` (string) Identifier of the communication profile associated with this customer. Example: "2c92c0946a6dffc0016a7faab604299b" - `account.crm_id` (string) CRM account identifier. Example: "1a2b3c4d5e" - `account.default_payment_method_id` (string) Identifier of the default payment method on the customer account. Example: "8a95b1946b6aeac8718c32aab8c395f" - `account.name` (string) The name of the customer account. Example: "test account" - `account.description` (string) An arbitrary string attached to the object. Often useful for displaying to users. Example: "description of test account" - `account.parent_account_id` (string) Identifier of this customer's parent account, if any. Example: "8ad093f27d6eee80017d6effd7a66759" - `account.payment_gateway` (string,null) Payment gateway name. Example: "adyen gateway" - `account.payment_terms` (string) Payment terms configured in Billing Settings > Payment Terms of your Zuora tenant. Example: "Net 30" - `account.sequence_set_id` (string) The identifier or the billing document sequence set that is assigned to the customer account. Example: "2c92a4204a6dffc0016a7faab723041c" - `account.auto_pay` (boolean) Controls whether future payments are automatically billed when they are due. Example: true - `account.tax_certificate` (object) The tax certificate information. - `account.tax_certificate.company_code` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on country of origin and sold-to addresses in Avalara. Example: "ABC" - `account.tax_certificate.id` (string) Identifier of the tax exemption certificate. - `account.tax_certificate.start_date` (string) The tax certificate start date. Example: "2022-01-01" - `account.tax_certificate.description` (string) Description of the tax exemption certificate. - `account.tax_certificate.entity_use_code` (string) A unique entity use code used by Avalara to apply exemptions. This field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/) for more information. - `account.tax_certificate.end_date` (string) The tax certificate end date. Example: "2023-01-01" - `account.tax_certificate.issuing_jurisdiction` (string) Typically, this is a state or government agency Example: "Georgia" - `account.tax_certificate.state` (string) Status of the tax exemption certificate, indication whether the certificate has been verified. Enum: "pending", "verified", "not_valid" - `account.tax_certificate.tax_identifier` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. Example: "DE123456789" - `account.tax_identifier` (object) An object that contains the VAT Identification number. - `account.tax_identifier.id` (string) Value Added Tax (VAT) ID. Each VAT ID must begin with the code of the country code and followed by a block of digits or characters. - `account.currency` (string) Three-letter ISO currency code. Once the currency is set for an account, it cannot be updated. Example: "USD" - `account.sales_rep` (string) The name of the sales representative associated with this account Example: "Max" - `account.enabled` (boolean) Usually used to disable the customer account. The default is true. If false, attempts to create subscriptions for the customer account will fail. Example: true - `account.remaining_debit_memo_balance` (number) Total remaining balance of all posted debit memos. Example: 10 - `account.remaining_invoice_balance` (number) Total remaining balance of all posted invoices. Example: 100 - `account.remaining_credit_memo_balance` (number) Total remaining balance of all posted credit memos. Example: 50 - `account.remaining_payment_balance` (number) Total remaining balance of all posted payments. Example: 20 - `account.bill_to_id` (string) Customer billing address. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.sold_to_id` (string) Customer address used for calculating tax. Example: "8ad0823f8040e52d0180433026b156fe" - `account.default_payment_method` (object) The default payment method for the customer. - `account.default_payment_method.type` (string) The type of the payment method. An additional hash is included on the payment method with a name matching this value. It contains additional information specific to the payment method type. Enum: "paypal_express", "paypal_express_native", "paypal_adaptive", "card", "cc_ref", "ach_debit", "sepa_debit", "betalings_debit", "autogiro_debit", "bacs_debit", "au_becs_debit", "nz_becs_debit", "pad_debit", "apple_pay", "wire_transfer", "check", "cash", "other", "paypal", "adyen_google_pay", "adyen_apple_pay" - `account.default_payment_method.custom_type` (string) The custom type of the payment method from Universal Payment Connector. - `account.default_payment_method.account_id` (string) A customer account identifier. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `account.default_payment_method.account` (object) The customer account associated with this payment method. - `account.default_payment_method.billing_details` (object) Billing information associated with the payment method that may be used or required by specific payment method types. - `account.default_payment_method.billing_details.name` (string) Customer full name or business name. Example: "Amy Lawrence" - `account.default_payment_method.billing_details.address` (object) Address information used in billing details. - `account.default_payment_method.billing_details.address.state` (string) The state, county, province, or region. Example: "GA" - `account.default_payment_method.billing_details.phone` (string) Customer phone (including extension). Example: "(888)976-9056" - `account.default_payment_method.maximum_payment_attempts` (number) Maximum number of consecutive failed retry payment attempts using this payment method before retries are stopped. Example: 6 - `account.default_payment_method.payment_retry_interval` (integer) The retry interval in hours. Example: 3 - `account.default_payment_method.device_session_id` (string) - `account.default_payment_method.ip_address` (string,null) The IP address from which the Mandate was accepted by the customer. Example: "192.10.1.123" - `account.default_payment_method.bank_identification_number` (string) - `account.default_payment_method.card` (object) Credit card information. - `account.default_payment_method.card.brand` (string) Card brand. Enum: "visa", "mastercard", "american_express", "discover", "jcb", "diners" - `account.default_payment_method.card.expiry_month` (number) One or two digit expiration month (1-12) of the credit card. Example: 10 - `account.default_payment_method.card.expiry_year` (number) Two- or four-digit number representing the card's expiration year. Example: 2024 - `account.default_payment_method.card.mandate` (object) The mandate information for the Credit Card, Credit Card Reference Transaction, ACH, or Bank Transfer payment method. - `account.default_payment_method.card.mandate.id` (string) Identifier of the single- or multi-use mandate generated by the payment gateway. - `account.default_payment_method.card.mandate.reason` (string) Reason for the mandate. - `account.default_payment_method.card.mandate.state` (string) The status of the mandate, which indicates whether it can be used to initiate a payment. Enum: "active", "canceled", "expired", "agreed" - `account.default_payment_method.card.last_4` (string) The last four digits of the card number. Example: "2042" - `account.default_payment_method.paypal_express_native` (object) If it is a paypal_express_native payment method, this hash contains details about the PayPal Express Native payment method. - `account.default_payment_method.paypal_express_native.baid` (string, required) Identifier of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9. - `account.default_payment_method.paypal_express_native.email` (string) Email address associated with the payment method. This is required with a paypal_express_checkout or a paypal_adaptive payment method. - `account.default_payment_method.paypal_express` (object) If it is a paypal_express payment method, this hash contains details about the PayPal Express payment method. - `account.default_payment_method.paypal_express.email` (string, required) Email address associated with the payment method - `account.default_payment_method.paypal_adaptive` (object) If it is a paypal_adaptive payment method, this hash contains details about the PayPal Adaptive payment method. - `account.default_payment_method.paypal_adaptive.preapproval_key` (string, required) PayPal preapproval key. Example: "2G4EPFSD" - `account.default_payment_method.paypal_adaptive.email` (string, required) Email address associated with the payment method. Example: "alawrence@zuora.com" - `account.default_payment_method.sepa_debit` (object) If the type of the payment method is sepa_debit, this hash contains details about the SEPA bank account. - `account.default_payment_method.sepa_debit.IBAN` (string, required) International Bank Account Number used to create the SEPA Debit payment method. - `account.default_payment_method.sepa_debit.business_identification_code` (string) The BIC code used with the Sepa Debit payment method. - `account.default_payment_method.cc_ref` (object) If the type of the payment method is cc_ref, this hash contains details about the Credit Card Reference Transactions payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.cc_ref.second_token` (string) A gateway unique identifier that replaces sensitive payment method data. This field is conditionally required only when token is being used to represent a gateway customer profile. - `account.default_payment_method.cc_ref.token` (string, required) A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When token is used to represent a customer profile, second_token is conditionally required for representing the underlying tokenized payment method. - `account.default_payment_method.cc_ref.card` (object) - `account.default_payment_method.apple_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.apple_pay.card` (object) Credit card information. When providing a card number, you must meet the requirements for PCI compliance. We strongly recommend using Zuora.js instead of interacting with this API directly. - `account.default_payment_method.apple_pay.payment_id` (string) The ID of newly processed payment. Only available in the response of the Create Payment Method API request. - `account.default_payment_method.google_pay` (object) If the type of the payment method is apple_pay, this hash contains details about the Apple Pay payment method. See [Supported payment methods](https://knowledgecenter.zuora.com/Zuora_Payments/Zuora_Payments_overview/D_Supported_payment_methods) for payment gateways that support this type of payment method. - `account.default_payment_method.ach_debit` (object) If the type of the payment method is ach_debit, this hash contains details about the ACH bank account. - `account.default_payment_method.ach_debit.bank_aba_code` (string, required) The nine-digit routing number or ABA number used by banks. - `account.default_payment_method.ach_debit.bank_account_name` (string, required) The name of the account holder, which can be either a person or a company. - `account.default_payment_method.ach_debit.bank_account_type` (string, required) The type of bank account associated with the payment method. Enum: "business_saving", "business_checking", "checking", "saving" - `account.default_payment_method.ach_debit.bank_name` (string, required) Name of the bank associated with this bank account. - `account.default_payment_method.ach_debit.bank_account_number` (string, required) The bank account number of the account holder. - `account.default_payment_method.betalings_debit` (object) If the type of the payment method is betalings_debit, this hash contains details about the Betalingsservice bank account. - `account.default_payment_method.betalings_debit.account_number` (string, required) The bank account number of the account holder. - `account.default_payment_method.betalings_debit.identity_number` (string, required) The identity number used for Betalingsservice (Direct Debit DK). - `account.default_payment_method.betalings_debit.bank_code` (string, required) Identifier of the bank associated with this bank account. - `account.default_payment_method.autogiro_debit` (object) If the type of the payment method is autogiro_debit, this hash contains details about the Autogiro bank account. - `account.default_payment_method.autogiro_debit.identity_number` (string, required) The identity number used for Autogiro (Direct Debit SE). - `account.default_payment_method.autogiro_debit.branch_code` (string, required) Identifier of the bank branch associated with this bank account. - `account.default_payment_method.bacs_debit` (object) If the type of the payment method is bacs_debit,, this hash contains details about the BACS bank account. - `account.default_payment_method.au_becs_debit` (object) If the type of the payment method is au_becs_debit, this hash contains details about the BECS bank account. - `account.default_payment_method.nz_becs_debit` (object) If the type of the payment method is nz_becs_debit, this hash contains details about the BECS-NZ bank account. - `account.default_payment_method.pad_debit` (object) If the type of the payment method is pad_debit, this hash contains details about the PAD bank account. - `account.default_payment_method.state` (string) The state of the payment method. Enum: "active", "closed", "scrubbed" - `account.default_payment_method.auto_generated` (boolean) - `account.default_payment_method.use_default_retry_rule` (boolean) - `account.default_payment_method.existing_mandate` (boolean) - `account.default_payment_method.last_failed_sale_transaction_time` (string) - `account.default_payment_method.last_transaction_time` (string) - `account.default_payment_method.last_transaction_status` (string) - `account.default_payment_method.number_of_consecutive_failures` (integer) - `account.default_payment_method.total_number_of_processed_payments` (integer) - `account.default_payment_method.total_number_of_error_payments` (integer) - `account.billing_documents` (object) List of customer billing documents. - `account.billing_documents.next_page` (string,null) - `account.billing_documents.data` (array) - `account.billing_documents.data.account_id` (string) Identifier of the account that owns the billing document. - `account.billing_documents.data.account_number` (string) Human-readable identifier of the account that owns the billing document. - `account.billing_documents.data.description` (string) An arbitrary string associated with the object. Often useful for displaying to users. - `account.billing_documents.data.due_date` (string) The date on which payment for the billing document is due. Example: "2023-01-01" - `account.billing_documents.data.document_date` (string) The date when the billing document takes effect. Example: "2023-01-01" - `account.billing_documents.data.reason_code` (string) Reason for issuing this billing document. This field is applicable only if the type field is set to credit_memo or debit_memo. - `account.billing_documents.data.invoice_id` (string) The identifier of the invoice billing document from which this credit memo or debit memo billing document is created. This field is applicable only if the type field is set to credit_memo or debit_memo. - `account.billing_documents.data.transfer_to_accounting` (boolean) Whether to transfer to an external accounting system. - `account.billing_documents.data.exclude_from_auto_apply_rules` (boolean) Indicates whether to exclude this credit memo billing document from the rule of automatically applying it to invoices. This field is applicable only if the type field is set to credit_memo. - `account.billing_documents.data.pay` (boolean) Indicates whether the billing document is automatically picked up for processing in the corresponding payment run. - `account.billing_documents.data.type` (string) The type of billing document. Can be one of the credit memo, debit memo, or invoice. Enum: "credit_memo", "debit_memo", "invoice" - `account.billing_documents.data.billing_document_number` (string) A human-readable identifier for the billing document; may be user-supplied. - `account.billing_documents.data.amount_refunded` (number) The amount of this billing document item refunded. - `account.billing_documents.data.state_transitions` (object) - `account.billing_documents.data.state_transitions.posted_time` (string) - `account.billing_documents.data.state_transitions.canceled_time` (string) - `account.billing_documents.data.posted_by_id` (string) Identifier of the Zuora user who posted the billing document. - `account.billing_documents.data.state` (string) The status of the billing document. Enum: "draft", "open", "uncollectible", "failed" - `account.billing_documents.data.account` (object) The account that owns the billing document. EXPANDABLE - `account.billing_documents.data.items` (object) List of billing document items. - `account.billing_documents.data.total` (number) The total amount. - `account.billing_documents.data.subtotal` (number) The total amount exclusive of tax. - `account.billing_documents.data.tax` (number) The total tax amount. - `account.billing_documents.data.remaining_balance` (number) The total balance remaining. - `account.billing_documents.data.amount_paid` (number) The total amount paid. - `account.billing_documents.data.paid` (boolean) Whether payment was successfully collected for this invoice. An invoice can be paid with a payment or a credit memo. - `account.billing_documents.data.past_due` (boolean) Whether payment is past due. - `account.billing_documents.data.balance` (number) The total balance remaining. This field is deprecated. Use remaining_balance field. - `account.payments` (object) List of customer payments. - `account.payment_methods` (object) List of customer payment methods. - `account.subscriptions` (object) List of customer subscriptions. - `account.usage_records` (object) List of customer usages. - `account.credit_memos` (object) List of credit memo - `account.debit_memos` (object) List of debit memo - `account.invoices` (object) List of invoices - `invoice_owner_account_id` (string) Identifier of the account that owns the invoice associated with this subscription. - `invoice_owner_account` (object) Identifier of the account that owns the subscription. - `auto_renew` (boolean) If this field is set to true, the subscription automatically renews at the end of the current term. - `latest_version` (boolean) If true, this is the latest version of the subscription - `initial_term` (object) Initial term information for the subscription. - `initial_term.interval_count` (integer) The number of intervals in a term. For example, interval=year and interval_count=1 represents a 1 year term. - `initial_term.interval` (string) Unit in which term duration is defined. One of day, week, month or year. Enum: "day", "week", "month", "year" - `initial_term.start_date` (string) Date when the subscription term starts. Example: "2020-01-01" - `initial_term.type` (string) Type of the subscription. Can be either termed or evergreen. Enum: "evergreen", "termed" - `initial_term.end_date` (string) Date when the subscription term ends. Example: "2023-01-01" - `current_term` (object) Current term information for the subscription - `renewal_term` (object) Renewal term information for the subscription. - `start_date` (string) Date when the subscription starts. Example: "2020-01-01" - `end_date` (string) Date when the subscription ends. Example: "2023-01-01" - `description` (string) Description of the subscription. Often useful for displaying to users. - `contract_effective` (string) Date when the subscriber contract is effective. Example: "2023-01-01" - `service_activation` (string) Date when the subscribed-to service is activated. Example: "2023-01-01" - `customer_acceptance` (string) Date when all the services or products in the subscription are accepted by the subscriber. Example: "2023-01-01" - `invoice_separately` (boolean) If true, the subscription is billed separately from other subscriptions. If false, the subscription is included with other subscriptions in the account invoice. The default is false. - `order_number` (string) The order number of the order created by Zuora. - `subscription_plans` (object) List of subscription plans. - `invoice_items` (object) List of invoice items. - `prepaid_balances` (array) Total prepaid units available during a subscription. It is an aggregate of all funds under a subscription. - `prepaid_balances.validity_periods` (array) An array of prepaid balance validity periods - `prepaid_balances.validity_periods.prepaid_UOM` (string) Unit of measure for the prepaid balance. - `prepaid_balances.validity_periods.start_date` (string) Start date of the fund effective period. Example: "2022-01-01" - `prepaid_balances.validity_periods.end_date` (string) End date of the fund effective period. Example: "2023-01-01" - `prepaid_balances.validity_periods.total_balance` (number) The funded balance, which is the total units of the fund. - `prepaid_balances.validity_periods.remaining_balance` (number) Remaining balance on the fund, which is the remaining units of the fund. - `prepaid_balances.validity_periods.overage_rated_amount` (number) - `prepaid_balances.validity_periods.overage_rated_quantity` (number) - `prepaid_balances.validity_periods.transactions` (array) An array of prepaid balance transactions for a specific validity period - `prepaid_balances.validity_periods.transactions.transaction_date` (string) Date on which the transaction occurs. - `prepaid_balances.validity_periods.transactions.type` (string) An action that increases or decreases its associated prepaid balance. Enum: "prepayment", "drawdown" - `prepaid_balances.validity_periods.transactions.quantity` (number) Quantity of the prepaid balance transaction. - `contracted_mrr` (string) Monthly recurring revenue of the subscription. - `currency` (string) 3-letter ISO 4217 currency code. This field is available only if you have the [Multiple Currencies](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Flexible_Billing/Multiple_Currencies) feature enabled. - `cancel_reason` (string) The reason for cancelling the subscription. - `last_booking_date` (string) The last booking date of the subscription object. You can override the date value when creating a subscription through the "Subscribe and Amend" API. The default value today is set per the user's timezone. The value of this field is as follows: For a new subscription created by the [Subscribe and Amend](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate) APIs, this field has the value of the subscription creation date. For a subscription changed by an amendment, this field has the value of the amendment booking date. For a subscription created or changed by an order, this field has the value of the order date. Example: "2023-01-01" - `bill_to_id` (string,null) ID of the bill-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `payment_terms` (string,null) The name of payment term associated with the invoice. - `bill_to` (object) The billing address for the customer. - `billing_document_settings` (object) The billing document settings for the customer. - `billing_document_settings.template_id` (string,null) Identifier of the invoice template associated with this customer. Not applicable for debit memos or credit memos. Example: "2c92c08b6a8c978f016a9e0084622b62" - `billing_document_settings.sequence_set_id` (string,null) ID of the billing document sequence set. - `sold_to_id` (string,null) ID of the sold-to contact. Example: "2c92c0f86a8dd422016a9e7a70116b0d" - `sold_to` (object) The selling address for the customer. - `prepaid_balance` (array) Total prepaid units available during a subscription. It is an aggregate of all funds under a subscription. Deprecated, please use prepaid_balances instead. - `prepaid_balance.transactions` (array) An array of prepaid balance transactions ## Response 400 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 401 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 404 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 405 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 429 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 500 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 502 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 503 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean) ## Response 504 fields (application/json): - `type` (string) - `errors` (array) - `errors.code` (string) - `errors.parameter` (string) - `errors.message` (string) - `retryable` (boolean)